MKFS(8)

NAZWA
mkfs - buduje linuksowy system plików

SKŁADNIA

SKŁADNIA
mkfs [opcje] [-t typ opcje-systemu-plików] urządzenie [rozmiar]

OPIS
mkfs służy do budowania linuksowego systemu plików na zadanym urządzeniu, zwykle partycji dysku twardego. Argument urządzenie jest albo nazwą urządzenia (np. /dev/hda1, /dev/sdb2) lub zwykłym plikiem, który powinien zawierać system plików. Argument rozmiar jest liczbą bloków, jakie zostaną użyte do zadanego systemu plików.

mkfs zwraca kod zakończenia równy 0 w przypadku powodzenia i 1 przy porażce.

W rzeczywistości mkfs jest po prostu interfejsem do różnych poleceń budujących systemy plików (mkfs.typ-systemu-plików) dostępnych w Linuksie. Polecenie budowanie odpowiednie dla danego typu systemu plikowego wyszukiwane jest w wielu różnych katalogach jak /sbin, /sbin/fs, /sbin/fs.d, /etc/fs, /etc (dokładna lista definiowana jest na etapie kompilacji, ale zawiera co najmniej /sbin i /sbin/fs), a ostatecznie w katalogach wymienionych w zmiennej środowiskowej PATH. Proszę przeglądnąć strony podręcznika właściwe dla poleceń budowania konkretnych systemów plików, aby dowiedzieć się więcej.

OPCJE

-t, --type typ
    Określa typ tworzonego systemu plików. Jeśli nie podano, używany jest domyślny (obecnie ext2).

opcje-systemu-plików
    Opcje specyficzne dla danego systemu plikowego, jakie mają zostać przekazane do faktycznego polecenia tworzenia systemu plików. Mimo, że nie jest to gwarantowane, poniższe opcje obsługiwane są przez większość poleceń tworzących systemy plików.

-V, --verbose
    Wyświetla w trybie szczegółowym, włącznie ze wszystkimi opcjami specyficznymi dla danego systemu plików, jakie są wykonywane. Podanie tej opcji więcej niż raz, zapobiega wykonywaniu jakichkolwiek poleceń specyficznych dla danego systemu plików. Jest to przydatne tylko do testowania.

-V, --version
    Wyświetla informacje o wersji i wychodzi (Opcja -V wyświetli informacje o wersji tylko gdy jest jedynym parametrem, w przeciwnym wypadku zachowa się jak --verbose).

-h, --help
    Wyświetla pomoc i wychodzi.

BŁĘDY
Wszystkie opcje ogólne muszą poprzedzać i nie mogą być łączone z opcjami specyficznymi dla systemu plików. Niektóre z programów budujących pewne systemy plików nie obsługują opcji -v (tryb szczegółowy), ani nie zwracają znaczących kodów zakończenia. Ponadto, niektóre z programów tworzących systemy plików nie rozpoznają automatycznie wielkości urządzania i wymagają podania parametru rozmiar.

AUTORZY
David Engel (david@ods.com)
Fred N. van Kempen (waltje@uwalt.nl.mugnet.org)
Ron Sommeling (sommel@sci.kun.nl)
Niniejsza strona podręcznika została bezwstydnie zaadaptowana z wersji Remy'ego Carda do systemu plików ext2.

ZOBACZ TAKŻE
fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8), mkfs.xiafs(8)

DOSTĘPNOŚĆ
Polecenie mkfs jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.